Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.group.impl
Interface GroupMemberFactory

All Known Implementing Classes:
  DebugGroupMemberFactory, DefaultGroupMemberFactory

    public interface GroupMemberFactory

Factory for the creation of `GroupMember` instances.

Method Summary
`GroupMember` | `createDynamicMember(CommandGroup parent, java.lang.String commandId, boolean inlineGroup)` Create a dynamic member that user the current `CommandContainer` context.
`ExpansionPointMember` | `createExpansionPointMember(java.lang.String name)` Creates an expansion point member.
`GroupMember` | `createGlueMember()` Creates a glue member.
`GroupMember` | `createInlineMember(CommandGroup parent, CommandGroup group)` Create an inline member that embeds the specified group into the parent.
`GroupMember` | `createSeparatorMember()` Creates a separator member.
`GroupMember` | `createStaticMember(CommandGroup parent, Command command)` Create a static member adds the specified command directly into the parent.

Method Detail

### createDynamicMember

    GroupMember createDynamicMember(CommandGroup parent,
                                    java.lang.String commandId,
                                    boolean inlineGroup)

  Create a dynamic member that user the current `CommandContainer` context.

  Parameters:
    `parent` - The parent group.
    `commandId` - the command id to be added.
    `inlineGroup` - `true` if the command is a group that is to be inlined.
  Returns:
    a new member instance.

### createStaticMember

    GroupMember createStaticMember(CommandGroup parent,
                                   Command command)

  Create a static member adds the specified command directly into the parent.

  Parameters:
    `parent` - The parent group.
    `command` - the command to add.
  Returns:
    a new member instance.

### createInlineMember

    GroupMember createInlineMember(CommandGroup parent,
                                   CommandGroup group)

  Create an inline member that embeds the specified group into the parent.

  Parameters:
    `parent` - The parent group.
    `group` - the gropu to inline into the parent.
  Returns:
    a new member instance.

### createGlueMember

    GroupMember createGlueMember()

  Creates a glue member.

  Returns:
    a new member instance.

### createSeparatorMember

    GroupMember createSeparatorMember()

  Creates a separator member.

  Returns:
    a new member instance.

### createExpansionPointMember

    ExpansionPointMember createExpansionPointMember(java.lang.String name)

  Creates an expansion point member.

  Returns:
    a new expansion point member.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch